Summary: Java Developer's Kit
Name: jdk-sn
Version: 1.1.6
Release: 1.2glibc
Copyright: see README.linux
Group: Development/Languages/Java
URL: http://www.javasoft.com/products/jdk/
Packager: Levente Farkas <lfarkas@ohsh.u-szeged.hu>
Source0: ftp://lagrange.la.asu.edu/pub/Linux_jdk/JDK-1.1.6/RH5.0_jdk1.1.6v1.1.tar.gz
Source1: jdk.sh
Source2: jdk.csh
Conflicts: linux.jdk JDK_static JDK_shared jdk-sbb
Provides: jdk
#Prefix: /usr
BuildRoot: /tmp/jdk-%{PACKAGE_VERSION}

%description
This is the Sergey Nikitin's Linux port of Sun(tm)'s Java(tm) Development Kit
%{PACKAGE_VERSION}.

THESE FILES HAVE BEEN MODIFIED FROM THEIR ORIGINAL SUN(tm) VERSIONS AND
THEY CANNOT BE HELD LIABLE FOR ANY PROBLEMS.


%prep
%setup -n jdk1.1.6

%build
chmod -R a+rX,g-w,o-w .

%install
install -d ${RPM_BUILD_ROOT}/etc/profile.d
install -m755 $RPM_SOURCE_DIR/jdk.sh ${RPM_BUILD_ROOT}/etc/profile.d
install -m755 $RPM_SOURCE_DIR/jdk.csh ${RPM_BUILD_ROOT}/etc/profile.d

cd bin
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/jdk-%{PACKAGE_VERSION}
cp -af . ${RPM_BUILD_ROOT}/usr/bin/jdk-%{PACKAGE_VERSION}

cd ../include
mkdir -p ${RPM_BUILD_ROOT}/usr/include/jdk-%{PACKAGE_VERSION}
cp -af . ${RPM_BUILD_ROOT}/usr/include/jdk-%{PACKAGE_VERSION}

cd ../lib
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/jdk-%{PACKAGE_VERSION}
cp -af . ${RPM_BUILD_ROOT}/usr/lib/jdk-%{PACKAGE_VERSION}

install -d ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf jdk-%{PACKAGE_VERSION}/appletviewer
ln -sf jdk-%{PACKAGE_VERSION}/jar
ln -sf jdk-%{PACKAGE_VERSION}/java
ln -sf jdk-%{PACKAGE_VERSION}/java_g
ln -sf jdk-%{PACKAGE_VERSION}/javac
ln -sf jdk-%{PACKAGE_VERSION}/javac_g
ln -sf jdk-%{PACKAGE_VERSION}/javadoc
ln -sf jdk-%{PACKAGE_VERSION}/javah
ln -sf jdk-%{PACKAGE_VERSION}/javah_g
ln -sf jdk-%{PACKAGE_VERSION}/javakey
ln -sf jdk-%{PACKAGE_VERSION}/javap
ln -sf jdk-%{PACKAGE_VERSION}/javaverify
ln -sf jdk-%{PACKAGE_VERSION}/javaverify_g
ln -sf jdk-%{PACKAGE_VERSION}/jdb
ln -sf jdk-%{PACKAGE_VERSION}/jdk_search
ln -sf jdk-%{PACKAGE_VERSION}/jre
ln -sf jdk-%{PACKAGE_VERSION}/jre_g
ln -sf jdk-%{PACKAGE_VERSION}/native2ascii
ln -sf jdk-%{PACKAGE_VERSION}/rmic
ln -sf jdk-%{PACKAGE_VERSION}/rmiregistry
ln -sf jdk-%{PACKAGE_VERSION}/serialver

install -d ${RPM_BUILD_ROOT}/usr/lib/jdk-%{PACKAGE_VERSION}
cd ${RPM_BUILD_ROOT}/usr/lib/jdk-%{PACKAGE_VERSION}
ln -sf ../../bin/jdk-%{PACKAGE_VERSION} bin
ln -sf ../../include/jdk-%{PACKAGE_VERSION} include
ln -sf . lib

%files
%attr( -, root, root ) %doc LICENSE README.linux
%attr( -, root, root ) %config /etc/profile.d/jdk.sh
%attr( -, root, root ) %config /etc/profile.d/jdk.csh
%attr( -, root, root ) /usr/bin/jdk-%{PACKAGE_VERSION}/
%attr( -, root, root ) /usr/include/jdk-%{PACKAGE_VERSION}/
%attr( -, root, root ) /usr/lib/jdk-%{PACKAGE_VERSION}/
%attr( -, root, root ) /usr/bin/appletviewer
%attr( -, root, root ) /usr/bin/jar
%attr( -, root, root ) /usr/bin/java
%attr( -, root, root ) /usr/bin/java_g
%attr( -, root, root ) /usr/bin/javac
%attr( -, root, root ) /usr/bin/javac_g
%attr( -, root, root ) /usr/bin/javadoc
%attr( -, root, root ) /usr/bin/javah
%attr( -, root, root ) /usr/bin/javah_g
%attr( -, root, root ) /usr/bin/javakey
%attr( -, root, root ) /usr/bin/javap
%attr( -, root, root ) /usr/bin/javaverify
%attr( -, root, root ) /usr/bin/javaverify_g
%attr( -, root, root ) /usr/bin/jdb
%attr( -, root, root ) /usr/bin/jdk_search
%attr( -, root, root ) /usr/bin/jre
%attr( -, root, root ) /usr/bin/jre_g
%attr( -, root, root ) /usr/bin/native2ascii
%attr( -, root, root ) /usr/bin/rmic
%attr( -, root, root ) /usr/bin/rmiregistry
%attr( -, root, root ) /usr/bin/serialver

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -z "${RPM_BUILD_ROOT}" ] && exit 1
rm -rf ${RPM_BUILD_ROOT}

%changelog

* Thu May 31 1998 Levente Farkas <lfarkas@ohsh.u-szeged.hu>

- Version 1.1.6v1.1

* Thu Apr  8 1998 Levente Farkas <lfarkas@ohsh.u-szeged.hu>

- Version 1.1.5v1.3

* Fri Oct 17 1997 Hal Wine <hal@dtor.com>

- made build root capable


